@ECHO OFF

rem >>>>>>>>>>> Updated 2015-10-24 (Win81 fix) >>>>>>>>>>>>>>>
rem >>>>>>>>>>> Updated 2015-9-23 (Win10) >>>>>>>>>>>>>>>
rem >>>>>>>>>>> Updated Jun.1.2013 (use bitsnum) >>>>>>>>>>>>>>> 
rem >>>>>>>>>>> Updated Mar.14.2013 (new method) >>>>>>>>>>>>>>> 
rem >>>>>>>>>>> Updated Mar.5.2013 (Win8) >>>>>>>>>>>>>>>
ECHO .
ECHO .
ECHO .
ECHO Checking to be sure there is a Conal Folder on the C Drive
ECHO .
ECHO .

IF EXIST "c:\conal\DriveID.txt"  GOTO WINVER1
ECHO .
ECHO .
ECHO DID NOT FIND C\CONAL !
ECHO .
GOTO FAIL

:WINVER1
echo . 
echo Great, it is there!
echo . 
echo Next, Let's figure out which windows version you have 
echo . 
rem >>>>>>>>>>>>>>>>>>>>>>>>>>
set WINVERS=unknown
set BITSNUM=unknown

ver | find /i "version 10.0." > nul
if %errorlevel%==0 goto Win_10
ver | find /i "version 6.3.9" > nul
if %errorlevel%==0 goto Win_81
ver | find /i "version 6.2.9" > nul
if %errorlevel%==0 goto Win_8
ver | find /i "version 6.1." > nul
if %errorlevel%==0 goto Win_7
ver | find /i "version 6.0." > nul
if %errorlevel%==0 goto Win_Vista
ver | find /i "version 5.1." > nul
if %errorlevel%==0 goto Win_XP
ver | find /i "version 5.2." > nul
if %errorlevel%==0 goto Win_2003
ver | find /i "Windows 2000" > nul
if %errorlevel%==0 goto Win_2000 
 
goto FAIL


 REM *********************** START WIN 10 *************

:WIN_10
 
IF EXIST "%SYSTEMDRIVE%\Program Files (x86)" goto Win10_bit_64

:Win10_bit_32
set WINVERS=10
set BITSNUM=32
echo .
echo .
echo ********************
echo .
echo You have Windows 10 (32-bit)
echo .
echo ********************
echo .
echo .
echo .
echo About to copy "Conal's Tools for Win10 "
echo .
echo . Press CTRL + C NOW if you want to cancel
echo .
echo .
ECHO Wait for 5 seconds
ECHO .
ping -n 5 127.0.0.1 > nul
ECHO .

CALL C:\CONAL\4win10.BAT
echo back from call - Win10
goto DONE


:Win10_bit_64
set WINVERS=10
set BITSNUM=64
echo .
 
echo .
echo ********************
echo .
echo You have Windows 10 (64-bit)
echo .
echo ********************
echo .
echo .
echo .
echo About to copy "Conal's Tools for Win10"
echo .
echo . Press CTRL + C NOW if you want to cancel
echo .
echo .
ECHO Wait for 5 seconds
ECHO .
ping -n 5 127.0.0.1 > nul
ECHO .

CALL C:\CONAL\4win10.BAT
echo back from call - Win10
goto DONE
 REM *********************** END WIN 10 *************


 REM *********************** START WIN 81 *************

:WIN_81
 
IF EXIST "%SYSTEMDRIVE%\Program Files (x86)" goto Win81_bit_64

:Win81_bit_32
set WINVERS=81
set BITSNUM=32
echo .
echo .
 
echo ********************
echo .
echo You have Windows 8.1 (32-bit)
echo .
echo ********************
echo .
echo .
echo .
echo About to copy "Conal's Tools for Win8.1 "
echo .
echo . Press CTRL + C NOW if you want to cancel
echo .
echo .
ECHO Wait for 5 seconds
ECHO .
ping -n 5 127.0.0.1 > nul
ECHO .

CALL C:\CONAL\4win8.BAT
echo back from call - Win8.1
goto DONE


:Win81_bit_64
set WINVERS=81
set BITSNUM=64
echo .
 
echo .
echo ********************
echo .
echo You have Windows 8.1 (64-bit)
echo .
echo ********************
echo .
echo .
echo .
echo About to copy "Conal's Tools for Win8.1"
echo .
echo . Press CTRL + C NOW if you want to cancel
echo .
echo .
ECHO Wait for 5 seconds
ECHO .
ping -n 5 127.0.0.1 > nul
ECHO .

CALL C:\CONAL\4win8.BAT
echo back from call - Win8.1
goto DONE
 REM *********************** END WIN 81 *************

 REM *********************** START WIN 8 *************

:WIN_8
 
IF EXIST "%SYSTEMDRIVE%\Program Files (x86)" goto Win8_bit_64

:Win8_bit_32
set WINVERS=8
set BITSNUM=32
echo .
echo .
 
echo ********************
echo .
echo You have Windows 8 (32-bit)
echo .
echo ********************
echo .
echo .
echo .
echo About to copy "Conal's Tools for Win8 "
echo .
echo . Press CTRL + C NOW if you want to cancel
echo .
echo .
ECHO Wait for 5 seconds
ECHO .
ping -n 5 127.0.0.1 > nul
ECHO .

CALL C:\CONAL\4win8.BAT
echo back from call - Win8 
goto DONE


:Win8_bit_64
set WINVERS=8
set BITSNUM=64
echo .
 
echo .
echo ********************
echo .
echo You have Windows 8 (64-bit)
echo .
echo ********************
echo .
echo .
echo .
echo About to copy "Conal's Tools for Win8"
echo .
echo . Press CTRL + C NOW if you want to cancel
echo .
echo .
ECHO Wait for 5 seconds
ECHO .
ping -n 5 127.0.0.1 > nul
ECHO .

CALL C:\CONAL\4win8.BAT
echo back from call - Win8 
goto DONE
 REM *********************** END WIN 8 *************

 REM *********************** START WIN 7 *************
:WIN_7
 
IF EXIST "%SYSTEMDRIVE%\Program Files (x86)" goto Win7_bit_64

:Win7_bit_32
set WINVERS=7
set BITSNUM=32
 
echo .
echo .
echo ********************
echo .
echo You have Windows 7 (32-bit)
echo .
echo ********************
echo .
echo .
echo .
echo About to copy "Conal's Tools for Win7 "
echo .
echo . Press CTRL + C NOW if you want to cancel
echo .
echo .
ECHO Wait for 5 seconds
ECHO .
ping -n 5 127.0.0.1 > nul
ECHO .

CALL C:\CONAL\4win7.BAT
echo back from call - Win7  
goto DONE


:Win7_bit_64
set WINVERS=7
set BITSNUM=64
echo .
 
echo .
echo ********************
echo .
echo You have Windows 7 (64-bit)
echo .
echo ********************
echo .
echo .
echo .
echo About to copy "Conal's Tools for Win7 "
echo .
echo . Press CTRL + C NOW if you want to cancel
echo .
echo .
ECHO Wait for 5 seconds
ECHO .
ping -n 5 127.0.0.1 > nul
ECHO .

CALL C:\CONAL\4win7.BAT
echo back from call - Win7 
goto DONE
 REM *********************** END WIN 7 *************

 REM *********************** START WIN VISTA *************
:WIN_VISTA
echo .
IF EXIST "%SYSTEMDRIVE%\Program Files (x86)" goto Vista_bit_64

:VISTA_bit_32
set WINVERS=Vista
set BITSNUM=32
GOTO VISTACALL

:VISTA_bit_64
set WINVERS=Vista
set BITSNUM=64

:VISTACALL
echo .
 
echo .
echo *******************************
echo .
echo You have WINDOWS VISTA  (%BITSNUM%-BIT)
echo .
echo *******************************
echo .
echo .
echo .
echo . About to copy "Conal's Tools for Vista "
echo .
echo . Press CTRL + C NOW if you want to cancel
echo .
echo .
ECHO Wait for 3 seconds
ECHO .
ping -n 3 127.0.0.1 > nul
ECHO .

CALL C:\CONAL\4vista.BAT
echo back from call - Vista  
goto DONE
 REM *********************** END WIN VISTA *************


 REM *********************** START WIN XP *************
:WIN_XP
set WINVERS=XP
set BITSNUM=32
 
echo .
echo .
echo ************************
echo .
echo You have Windows XP
echo .
echo ************************
echo .
echo .
echo .
echo About to copy "Conal's Tools for WinXP"
echo .
echo        (You will have a Pre-Clean option 1st)
echo .
echo .
echo . Press CTRL + C NOW if you want to cancel
echo .
echo .
ECHO Wait for 5 seconds
ECHO .
ping -n 5 127.0.0.1 > nul
ECHO .

CALL C:\CONAL\4xp.BAT
echo .
echo back from call - WinXP
echo .
goto DONE

 REM *********************** END WIN XP *************


 REM *********************** START WIN 2000 *************

:WIN_2000
set WINVERS=2000
set BITSNUM=32
echo .
 
echo .
echo ************************
echo .
echo You have Windows 2000
echo .
echo ************************
echo .
echo .
echo About to copy "Conal's Tools for Win2000"
echo .
echo . Press CTRL + C NOW if you want to cancel
echo .
echo .
ECHO Wait for 5 seconds
ECHO .
ping -n 5 127.0.0.1 > nul
ECHO .

CALL C:\CONAL\4xp.BAT
echo back from call - Win2000
goto DONE
REM *********************** END WIN 2000 *************


rem ************* FAIL   -  MANUAL WIN VER ?  *******************

:FAIL
echo COULDN'T FIGURE IT OUT - MAYBE SAFE MODE ?
echo .
ECHO ************* MANUAL WIN VER ?  *******************
:MANVER
ECHO .
ECHO You can manually check version (Right Click computer, properties)
ECHO .
set INPUT=
set /P INPUT=Type  X or V or 7 or 8 or 10 or Q, then press ENTER: %=%
if "%INPUT%"=="" goto MANVER
if "%INPUT%"=="X" goto WIN_XP
if "%INPUT%"=="x" goto WIN_XP
if "%INPUT%"=="V" goto WIN_VISTA
if "%INPUT%"=="v" goto WIN_VISTA
if "%INPUT%"=="7" goto Win_7
if "%INPUT%"=="8" goto Win_8
if "%INPUT%"=="10" goto Win_10
if "%INPUT%"=="Q" goto QUIT
if "%INPUT%"=="q" goto QUIT
goto MANVER

:QUIT
ECHO .
ECHO QUIT - NOTHING INSTALLED OR CHANGED
ECHO .

pause
exit
rem >>>>>>>>>>>>>>>>>>>>>>>>>>

:DONE
echo .
echo we are done
echo .
pause

REM < < < < <  NOTES  > > > > >
rem (similar to CALL) start /B "windowName(needed)" "full path"
rem /B for no new window
